/*
 * This file is a part of KEMET project (Library).
 * 
 * Copyright (C) 2008 MAUPIN Fabrice
 *
 * This library is free software; 
 * you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License 
 * as published by the Free Software Foundation; 
 * either version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with this library; 
 * if not, write to the Free Software Foundation, 
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
 */
package org.kemet.tests.basic;

import junit.framework.TestCase;

import org.apache.log4j.Logger;
import org.junit.Test;
import org.kemet.impl.grammar.exceptions.DALException;
import org.kemet.impl.grammar.exceptions.GrammarException;
import org.kemet.impl.grammar.model.Phonogram;
import org.kemet.impl.grammar.toolbox.Combinatorial;
import org.kemet.impl.grammar.toolbox.ConversionToolbox;
import org.kemet.impl.grammar.toolbox.ReflexionToolBox;
import org.kemet.impl.grammar.toolbox.StringToolbox;
import org.kemet.tests.AllTests;
import org.kemet.toolbox.Extract;
import org.kemet.toolbox.Search;

/**
 * 
 * 
 * @author fabricemaupin
 * 
 * <p>
 * <b>Tests for not used classes (coverage).</b>
 * </p>
 * 
 * @since 0.1
 */
public class TestNotUsedClassInstances extends TestCase {
	static Logger log = Logger.getLogger("org.kemet.tests");

	/**
	 * <p>
	 * <b>tests for instantiation of classes.</b>
	 * </p>
	 * 
	 * @since 0.1
	 */
	@Test
	public void test1NotUsedClassInstances() {
		assertNotNull(new AllTests());

		assertNotNull(new Phonogram());
		assertNotNull(new StringToolbox());
		assertNotNull(new ConversionToolbox());
		assertNotNull(new ReflexionToolBox());
		assertNotNull(new Extract());
		assertNotNull(new Combinatorial());

		assertNotNull(new org.kemet.impl.grammar.Messages());
		assertNotNull(new org.kemet.orm.Messages());
		assertNotNull(new org.kemet.message.Messages());

		Exception e = new Exception();
		assertNotNull(new DALException("", e));

		DALException dal = new DALException("", e);
		assertEquals(dal.getCause(), e);

		assertNotNull(new GrammarException("", e));
		assertNotNull(new GrammarException(""));

		GrammarException gr = new GrammarException("", e);
		assertEquals(gr.getCause(), e);

		assertNotNull(new Search());
	}
}
